Opened 3 years ago

Closed 3 years ago

#23987 closed task (fixed)

Stop using --enable-fatal-warnings on GCC 0.2.8 builds

Reported by: nickm Owned by: weasel
Priority: Medium Milestone:
Component: Internal Services/Service - jenkins Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The 0.2.8 builds with GCC are failing on buster and sid when built with --enable-fatal-warnings, because of GCC warnings that were added in GCC 7. We don't plan to backport fixes for those warnings, since the fixes are fairly big, and 0.2.8 is only supported for another two months.

Maybe Jenkins should just remove --enable-fatal-warnings for these builders?

(Note that the configure option in question was formerly known as --enable-gcc-warnings : it's possible that the jenkins builders are invoking it by that name instead.)

Child Tickets

Change History (1)

Note: See TracTickets for help on using tickets.